#ifndef PACKAGE_APIDEF_H
#define PACKAGE_APIDEF_H

struct VERSION_ELM{
	int val;
	char suffix[20];
};

struct PACKAGE_VERSION{
	char str[100];
	VERSION_ELM tb[10];
	int nbelm;
};
	
struct PACKAGE_API{
	int (*getver) (const char *package, PACKAGE_VERSION &res);
	int (*is_newer) (const char *package, const char *version);
	int (*path2pkg) (const char *path, SSTRING &name, PACKAGE_VERSION &res);
	int (*showinfo) (const char *pkg);
};

#endif

